display.setStatusBar(display.HiddenStatusBar)

local backbackground = display.newImage("background.png")
backbackground.x = 240
backbackground.y = 160

local backgroundfar = display.newImage("bgfar1.png")
backgroundfar.x = 480
backgroundfar.y = 160

local backgroundnear1 = display.newImage("bgnear2.png")
backgroundnear1.x = 240
backgroundnear1.y = 160

local backgroundnear2 = display.newImage("bgnear2.png")
backgroundnear2.x = 760
backgroundnear2.y = 160

local blocks = display.newGroup()

local groundMin = 420
local groundMax = 340
local groundLevel = groundMin
local speed = 5

for a = 1, 8, 1 do
	isDone = false
	numGen = math.random(2)
	local newBlock
	print (numGen)
	if(numGen == 1 and isDone == false) then
		newBlock = display.newImage("ground1.png")
		isDone = true
	end
	
	if(numGen == 2 and isDone == false) then
		newBlock = display.newImage("ground2.png")
		isDone = true
	end
	
	if(numGen == 3 and isDone == false) then
		newBlock = display.newImage("ground3.png")
		isDone = true
	end
	
	if(isDone == false) then
		newBlock = display.newImage("ground1.png")
	end
	newBlock.name = ("block" .. a)
	newBlock.id = a
	newBlock.x = (a * 79) - 79
	newBlock.y = groundLevel
	blocks:insert(newBlock)
end

--the update function will control most everything that happens in our game
--this will be called every frame(30 frames per second in our case(the default in corona))
local function update( event )
--updateBackgrounds will call a function made specifically to handle the background movement
	updateBackgrounds()
	updateSpeed()
	updateBlocks()
	
end

function updateSpeed()
	speed = speed + .05
end

function updateBlocks()
	for a = 1, blocks.numChildren, 1 do
								
		if(a > 1) then
			newX = (blocks[a - 1]).x + 79
		else
			newX = (blocks[8]).x + 79 - speed
		end
		
		if((blocks[a]).x < -40) then
			(blocks[a]).x, (blocks[a]).y = newX, (blocks[a]).y			
		else
			(blocks[a]):translate(speed * -1, 0)
		end		
		
	end
end

function updateBackgrounds()
	--far background movement
	backgroundfar.x = backgroundfar.x - (speed/55)
	
	--near background movement
	backgroundnear1.x = backgroundnear1.x - (speed/5)
	if(backgroundnear1.x < -239) then
		backgroundnear1.x = 760
	end
	
	backgroundnear2.x = backgroundnear2.x - (speed/5)
	if(backgroundnear2.x < -239) then
		backgroundnear2.x = 760
	end
end

--this is how we call the update function, make sure that this line comes after the actual function or it will not be able to find it
--timer.performWithDelay(how often it will run in milliseconds, function to call, how many times to call(-1 means forever))
timer.performWithDelay(1, update, -1)